
QGIS Application - Bug report #7177

Composer's legend "all" button does not take "lock layers" into account

2013-02-18 02:00 PM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16228

Description

Hi !

When you hit the "all" button in a ComposerLegend's widget, the legend displays all visible layers from the main QGis' canvas.

This is right when the legend is linked to a ComposerMap without locked layers (or when the legend is not linked to a ComposerMap at

all).

But when the ComposerMap has locked layers, one would expect the "all" button to add all legend items of the layers visible in the

ComposerMap.

Thanks !

Associated revisions

Revision 177e5a19 - 2014-01-27 12:11 PM - Olivier Dalang

[composer] ComposerLegend update all now only applies to referenced map's layers (in case they are locked) (fix #7177)

History

#1 - 2014-01-26 08:28 AM - Olivier Dalang

- % Done changed from 0 to 100

Done in pull request https://github.com/qgis/QGIS/pull/1113

#2 - 2014-01-27 03:21 AM - Olivier Dalang

- Status changed from Open to Closed

Fixed in changeset commit:"177e5a195249f0ebae68c7a76acebb0fb95b7d36".
